package com.bjtdba.merchant.entity;

import java.math.BigDecimal;

public class User {

    /**
     * 用户ID
     */
    private Integer uid;
    /**
     * 微信用户
     */
    private String wechat_user_id;
    /**
     * 支付宝
     */
    private String ali_user_id;
    /**
     * 用户账号
     */
    private String account;
    /**
     * 姓名
     */
    private String real_name;
    /**
     * 用户标签
     */
    private String label_id;
    /**
     * 用户分组
     */
    private String group_id;
    /**
     * 用户昵称
     */
    private String nickname;
    /**
     * 用户头像
     */
    private String avatar;
    /**
     * 手机号
     */
    private String phone;

    /**
     * 用户积分
     */
    private BigDecimal now_score;
    /**
     * 用户逾额
     */
    private BigDecimal now_money;
    /**
     * 用户佣金
     */
    private BigDecimal brokerage_price;

    /**
     * 平台收入
     */
    private BigDecimal admin_agent_rate;
    /**
     * 会员锁定时间
     */
    private String locktime;
    /**
     * 用户编号
     */
    private String user_number;
    /**
     * 环信账号是否注册
     */
    private Integer im;
    /**
     * 环信UUID
     */
    private String im_uuid;

    /**
     * 最后一次登录的ip
     */
    private String last_ip;

    /**
     * 1 镇代 2 县代 3 市代 4 商户 5 推广员 6渠道商
     */
    private Integer identity;

    public String getUser_type() {
        return user_type;
    }

    public void setUser_type(String user_type) {
        this.user_type = user_type;
    }

    private String user_type;

    /**
     * 密码
     */
    private String pwd;

    public String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public String getLast_ip() {
        return last_ip;
    }

    public void setLast_ip(String last_ip) {
        this.last_ip = last_ip;
    }

    public Integer getIdentity() {
        return identity;
    }

    public void setIdentity(Integer identity) {
        this.identity = identity;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getWechat_user_id() {
        return wechat_user_id;
    }

    public void setWechat_user_id(String wechat_user_id) {
        this.wechat_user_id = wechat_user_id;
    }

    public String getAli_user_id() {
        return ali_user_id;
    }

    public void setAli_user_id(String ali_user_id) {
        this.ali_user_id = ali_user_id;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getReal_name() {
        return real_name;
    }

    public void setReal_name(String real_name) {
        this.real_name = real_name;
    }

    public String getLabel_id() {
        return label_id;
    }

    public void setLabel_id(String label_id) {
        this.label_id = label_id;
    }

    public String getGroup_id() {
        return group_id;
    }

    public void setGroup_id(String group_id) {
        this.group_id = group_id;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public BigDecimal getNow_score() {
        return now_score;
    }

    public void setNow_score(BigDecimal now_score) {
        this.now_score = now_score;
    }

    public BigDecimal getNow_money() {
        return now_money;
    }

    public void setNow_money(BigDecimal now_money) {
        this.now_money = now_money;
    }

    public BigDecimal getBrokerage_price() {
        return brokerage_price;
    }

    public void setBrokerage_price(BigDecimal brokerage_price) {
        this.brokerage_price = brokerage_price;
    }

    public BigDecimal getAdmin_agent_rate() {
        return admin_agent_rate;
    }

    public void setAdmin_agent_rate(BigDecimal admin_agent_rate) {
        this.admin_agent_rate = admin_agent_rate;
    }

    public String getLocktime() {
        return locktime;
    }

    public void setLocktime(String locktime) {
        this.locktime = locktime;
    }

    public String getUser_number() {
        return user_number;
    }

    public void setUser_number(String user_number) {
        this.user_number = user_number;
    }

    public Integer getIm() {
        return im;
    }

    public void setIm(Integer im) {
        this.im = im;
    }

    public String getIm_uuid() {
        return im_uuid;
    }

    public void setIm_uuid(String im_uuid) {
        this.im_uuid = im_uuid;
    }
}
